--以--开头的行为注释行,语句间以go隔开(注意：这不是标准的sql格式，如果--写在一行中间将会被当做sql，--必须独立成行,go也必须独立成行)
--please pay attention to above words！！！UTF-8 coding
--每次升级请不要在原来的db_*.sql中修改，而是新创建一个文件，然后把sys_configs.xml中的数据库版本号+1

--频道表
create table content_channel(
	owner_id 		char(32) 	    not null,
	channel_id    	number(11) 		not null,
	channel_code    number(3)       not null,
	channel_name  	varchar2(50) 	not null,
	channel_icon    varchar(200),
	display_order	number(10) 		not null,
	primary key(owner_id,channel_id)
)
go

--标签表
create table content_tag(
    owner_id 	char(32) 	    not null,
	tag_code  	varchar2(20) 	not null,
	tag_value 	varchar2(20) 	not null,
	display_order number(10)    not null default 0,
	primary key(owner_id,tag_code)
)
go

--频道和标签对应关系表
create table content_channel_tag(
    owner_id 	    char(32) 	    not null,
	channel_id 		number(11) 		not null,
	tag_code   		varchar2(20) 	not null,
	primary key(owner_id,channel_id,tag_code)
)
go

--消息表
create table content_msg(
	owner_id 		char(32) 	    not null,
	msg_id          char(32) 		not null,
	external_msg_id char(32) 		not null,
	send_obj_id     char(32) 		not null,
	send_obj_type   number(1) 		not null,
	send_name       varchar2(50),
	send_time       timestamp(6) 	not null,
    audit_type      number(1),
    audit_status    number(1),
	ext_json        varchar2(3000) 	not null,
	receive_id      char(32),
	chat_id         char(32),
	is_out          number(1) not null default 0,
	chat_type       number(1) not null default 0,
	primary key(owner_id,msg_id)
)
go

--消息和标签对应关系表
create table content_msg_tag(
    owner_id 		char(32) 	    not null,
	msg_id   	    char(32) 		not null,
	tag_code 	    varchar2(20) 	not null,
	primary key(owner_id,msg_id,tag_code)
)
go

--聊天消息中间表
create table chat_category(
    jyt_id          char(32),
    id              char(32),
    channel_code    number(3),
    tag_code        varchar2(20),
    avatar          varchar2(100),
    title           varchar2(100),
    content         varchar2(100),
    creation_time   datetime,
    send_status     number(1),
    unread_num      int,
    unread_state    number(1),
    top_time        bigint default 0,
    primary key(jyt_id,id,tag_code)
)
go

--第三方用户与教育通用户的映射表
create table jyt_user(
    open_api        varchar2(100),
    app_user_id     varchar(32),
    jyt_id          char(32),
    primary key(open_api,jyt_id)
)
go

--群信息表
create table jyt_group_info(
    owner_id        char(32)        not null,
	creator_id 		char(32) 	    not null,
	group_id    	char(32) 		not null,
	group_type      number(1),
	group_name  	varchar2(50) 	not null,
	group_icon      varchar(200),
	group_brief	    varchar(200),
	member_num      number(4),
	member_hash     char(32),
	creation_time   datetime,
	top_time        bigint default 0,
	primary key(owner_id,group_id)
)
go

--群聊成员表
create table jyt_group_member(
    group_id        char(32)    not null,
    user_id         char(32)    not null,
    app_user_id     char(32)    not null,
    name            varchar(50),
    pin_yin         varchar(100),
    user_icon       varchar(200),
    creation_time   datetime,
    primary key(group_id,user_id,app_user_id)
)
go

--缓存的用户信息
create table etoh_user(
    jyt_user_id char(32) not null default '00000000000000000000000000000000' primary key,
    name varchar(50),
    pin_yin varchar(50),
    update_time datetime not null,
    head_icon varchar(300) null
)
go